BDU:2017-00138: Уязвимость встроенного программного обеспечения программируемого логического контроллера ОВЕН ПЛК110, позволяющая нарушителю вызвать переполнение буфера

Описание уязвимости Уязвимость встроенного программного обеспечения программируемого логического контроллера ОВЕН ПЛК110 связана с неправильным индексированием массива входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать переполнение буфера (отказ в обслуживании) путем отправки специально сформированного сетевого пакета, количество элементов которого не соответствует фактическому размеру области памяти, выделенной под массив описаний переменных
Вендор ООО «ОВЕН»
Наименование ПО Встроенное программное обеспечение программируемого логического контроллера ОВЕН ПЛК110
Версия ПО
  • От 0.3.52 до 0.3.53 включительно
Тип ПО ПО программно-аппаратного средства АСУ ТП
Операционные системы и аппаратные платформы
  • ООО «ОВЕН» Segger embOS 3.88 ARM32
Тип ошибки Непроверенное индексирование массива
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 14.07.2016
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,9)
Возможные меры по устранению уязвимости
Принудительная установка пароля уровня 1 на ПЛК, подробная информация приведена в разделе 5 руководства по эксплуатации ПЛК (регистрационный номер 2311)
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует
Способ эксплуатации Данные уточняются
Способ устранения Данные уточняются
Информация об устранении Информация об устранении отсутствует
Ссылки на источники
Данные уточняются
Идентификаторы других систем описаний уязвимостей
Данные уточняются
Прочая информация -
Последние изменения